/[gentoo-x86]/dev-python/PyQt4/ChangeLog
Gentoo

Diff of /dev-python/PyQt4/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.133 Revision 1.286
1# ChangeLog for dev-python/PyQt4 1# ChangeLog for dev-python/PyQt4
2# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/ChangeLog,v 1.133 2010/10/30 18:23:26 arfrever Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/ChangeLog,v 1.286 2015/05/11 18:00:13 pesa Exp $
4
5 11 May 2015; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.11.2.ebuild,
6 PyQt4-4.11.3.ebuild:
7 Enable tracing with USE=debug; enable configure verbose output to get useful
8 build logs in bug reports; stop passing deprecated --no-timestamp option; use
9 qt4_get_bindir().
10
11 14 Apr 2015; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.11.1.ebuild:
12 Stable for ia64, wrt bug #523322
13
14 08 Apr 2015; Michał Górny <mgorny@gentoo.org> PyQt4-4.10.3-r2.ebuild:
15 Drop old Python implementations
16
17 17 Feb 2015; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.11.1.ebuild:
18 Stable for ppc64, wrt bug #517344
19
20 16 Feb 2015; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.11.1.ebuild:
21 Stable for ppc, wrt bug #517344
22
23 14 Feb 2015; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.11.1.ebuild:
24 Stable for x86, wrt bug #517344
25
26 09 Jan 2015; Davide Pesavento <pesa@gentoo.org> PyQt4-4.11.3.ebuild:
27 Stop using deprecated python_parallel_foreach_impl.
28
29 31 Dec 2014; Michael Palimaka <kensington@gentoo.org> PyQt4-4.10.3-r2.ebuild,
30 PyQt4-4.11.1.ebuild, PyQt4-4.11.2.ebuild:
31 Enforce USE dependency for media-libs/phonon.
32
33 10 Dec 2014; Mikle Kolyada <zlogene@gentoo.org> PyQt4-4.11.1.ebuild:
34 amd64 stable wrt bug #517344
35
36 22 Nov 2014; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.11.1.ebuild:
37 Stable on alpha, bug 523322
38
39*PyQt4-4.11.3 (15 Nov 2014)
40
41 15 Nov 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.3.ebuild,
42 -PyQt4-4.11.3_pre20141024.ebuild:
43 Version bump.
44
45*PyQt4-4.11.3_pre20141024 (01 Nov 2014)
46
47 01 Nov 2014; Davide Pesavento <pesa@gentoo.org>
48 +PyQt4-4.11.3_pre20141024.ebuild, -PyQt4-4.11.2-r1.ebuild:
49 Bump to 4.11.3 prerelease, which contains upstream fixes for bugs #525392 and
50 #525470. Also switch to out-of-source builds.
51
52 15 Oct 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.11.2-r1.ebuild:
53 Fix bug #525392.
54
55 14 Oct 2014; Davide Pesavento <pesa@gentoo.org>
56 +files/PyQt4-4.11.2-phonon.patch, PyQt4-4.11.2-r1.ebuild:
57 Fix building against media-libs/phonon (bug 525354).
58
59*PyQt4-4.11.2-r1 (13 Oct 2014)
60
61 13 Oct 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.2-r1.ebuild,
62 metadata.xml:
63 Switch to new upstream build system. Introduce USE=testlib to decouple QtTest
64 from QtGui.
65
66 09 Oct 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.11.1.ebuild:
67 Revert to ~amd64, see bug #523322 comment #4.
68
69 09 Oct 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.11.1.ebuild:
70 Stable for amd64, wrt bug #523322
71
72 04 Oct 2014; Markus Meier <maekke@gentoo.org> PyQt4-4.11.1.ebuild:
73 arm stable, bug #523322
74
75*PyQt4-4.11.2 (20 Sep 2014)
76
77 20 Sep 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.2.ebuild,
78 PyQt4-4.11.1.ebuild:
79 Version bump. Silence harmless repoman warning.
80
81 13 Sep 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.11.1.ebuild:
82 Drop deprecated python versions.
83
84 13 Sep 2014; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.10.3-r3.ebuild,
85 PyQt4-4.11.1.ebuild:
86 Stop using dohtml, remove old.
87
88 17 Jul 2014; Michael Palimaka <kensington@gentoo.org> -PyQt4-4.11.ebuild:
89 Remove old.
90
91*PyQt4-4.11.1 (15 Jul 2014)
92
93 15 Jul 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.1.ebuild,
94 PyQt4-4.11.ebuild:
95 Version bump.
96
97 20 Jun 2014; Ian Delaney <idella4@gentoo.org> PyQt4-4.10.3-r3.ebuild,
98 PyQt4-4.11.ebuild:
99 add py3.4 support req'd to support py packages such as pandas
100
101 30 May 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.10.3-r2.ebuild,
102 PyQt4-4.10.3-r3.ebuild:
103 Restrict sip dep to =4.15* for older PyQt4 versions.
104
105*PyQt4-4.11 (30 May 2014)
106
107 30 May 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.ebuild:
108 Version bump.
109
110 21 May 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.10.3-r2.ebuild,
111 PyQt4-4.10.3-r3.ebuild, metadata.xml:
112 Update pypi identifier in HOMEPAGE and <upstream> metadata tag. Thanks to
113 Martin Walch in bug 510812.
114
115 19 May 2014; Michał Górny <mgorny@gentoo.org> -PyQt4-4.10.2.ebuild,
116 -PyQt4-4.10.3.ebuild:
117 Drop the old versions that required python-exec:0.
118
119 02 Apr 2014; Michael Palimaka <kensington@gentoo.org> metadata.xml:
120 Remove python herd as discussed with them.
121
122*PyQt4-4.10.3-r3 (27 Mar 2014)
123
124 27 Mar 2014; Michał Górny <mgorny@gentoo.org> +PyQt4-4.10.3-r3.ebuild:
125 Replace manual Python wrapping with proper eclass functions, bug #484404.
126
127 23 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
128 Stable for sparc, wrt bug #495638
129
130 23 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
131 Stable for x86, wrt bug #495638
132
133 19 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
134 Stable for alpha, wrt bug #495638
135
136 18 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
137 Stable for ia64, wrt bug #495638
138
139 14 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
140 Stable for ppc64, wrt bug #495638
141
142 08 Mar 2014; Pacho Ramos <pacho@gentoo.org> PyQt4-4.10.3-r2.ebuild:
143 amd64 stable, bug 495638
144
145 02 Feb 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
146 Stable for ppc, wrt bug #495638
147
148 30 Jan 2014; Markus Meier <maekke@gentoo.org> PyQt4-4.10.3-r2.ebuild:
149 arm stable, bug #495638
150
151 28 Dec 2013; Steve Arnold <nerdboy@gentoo.org>
152 files/PyQt4-4.7.3-qreal_float_support.patch:
153 Updated qreal_float patch to remove first hunk (already applied
154 upstream). Tested on arm chromebook; no existing bug.
155
156*PyQt4-4.10.3-r2 (25 Dec 2013)
157
158 25 Dec 2013; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.10.3-r2.ebuild,
159 -PyQt4-4.10.3-r1.ebuild, metadata.xml:
160 Introduce USE="designer".
161
162 25 Dec 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.9.6-r2.ebuild:
163 old
164
165 23 Dec 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
166 Stable for sparc, wrt bug #483112
167
168 31 Oct 2013; Michał Górny <mgorny@gentoo.org> PyQt4-4.10.2.ebuild,
169 PyQt4-4.10.3-r1.ebuild, PyQt4-4.10.3.ebuild, PyQt4-4.9.6-r2.ebuild:
170 Update the ebuilds to dep on dev-lang/python-exec.
171
172 23 Oct 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.10.1.ebuild:
173 old
174
175*PyQt4-4.10.3-r1 (23 Oct 2013)
176
177 23 Oct 2013; Michał Górny <mgorny@gentoo.org> +PyQt4-4.10.3-r1.ebuild:
178 Support python-exec:2.
179
180 19 Sep 2013; Ben de Groot <yngwin@gentoo.org> PyQt4-4.10.3.ebuild:
181 Depend on sip >=4.15.0 to fix build failure (bug #485274)
182
183 17 Sep 2013; Michał Górny <mgorny@gentoo.org> PyQt4-4.10.1.ebuild,
184 PyQt4-4.10.2.ebuild, PyQt4-4.10.3.ebuild, PyQt4-4.9.6-r2.ebuild:
185 Add explicit dep on python-exec:0 since the package wraps the script manually.
186
187*PyQt4-4.10.3 (17 Sep 2013)
188
189 17 Sep 2013; Ben de Groot <yngwin@gentoo.org> +PyQt4-4.10.3.ebuild:
190 Version bump
191
192 13 Sep 2013; Jonathan Callen <jcallen@gentoo.org> PyQt4-4.10.1.ebuild,
193 PyQt4-4.10.2.ebuild, PyQt4-4.9.6-r2.ebuild:
194 Add missing [${PYTHON_USEDEP}] on dbus-python DEPEND
195
196 10 Sep 2013; Markus Meier <maekke@gentoo.org> PyQt4-4.10.2.ebuild:
197 arm stable, bug #483112
198
199 05 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
200 Stable for x86, wrt bug #483112
201
202 05 Sep 2013; Michał Górny <mgorny@gentoo.org> PyQt4-4.10.1.ebuild,
203 PyQt4-4.10.2.ebuild, PyQt4-4.9.6-r2.ebuild:
204 Clean up PYTHON_COMPAT from old implementations.
205
206 05 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
207 Stable for ppc64, wrt bug #483112
208
209 04 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
210 Stable for ppc, wrt bug #483112
211
212 03 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
213 Stable for ia64, wrt bug #483112
214
215 02 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
216 Stable for alpha, wrt bug #483112
217
218 31 Aug 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
219 Stable for amd64, wrt bug #483112
220
221 22 Jul 2013; Michael Palimaka <kensington@gentoo.org> PyQt4-4.10.1.ebuild,
222 PyQt4-4.10.2.ebuild, PyQt4-4.9.6-r2.ebuild:
223 Reorder Qt dependencies.
224
225 10 Jul 2013; Patrick Lauer <patrick@gentoo.org> PyQt4-4.10.1.ebuild,
226 PyQt4-4.10.2.ebuild, PyQt4-4.9.6-r2.ebuild:
227 Fixing qtgui/designer deps for qt-4.8.5
228
229 10 Jul 2013; Patrick Lauer <patrick@gentoo.org> PyQt4-4.10.1.ebuild,
230 PyQt4-4.9.6-r2.ebuild:
231 Fixing qtgui deps for qt-4.8.5
232
233 08 Jul 2013; Davide Pesavento <pesa@gentoo.org> PyQt4-4.10.2.ebuild:
234 Remove wrong usedep for qtgui.
235
236*PyQt4-4.10.2 (24 Jun 2013)
237
238 24 Jun 2013; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.10.2.ebuild:
239 Version bump.
240
241 24 Jun 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.10.ebuild,
242 PyQt4-4.10.1.ebuild:
243 Add PYTHON_REQUIRED_USE. Remove old.
244
245*PyQt4-4.10.1 (22 May 2013)
246
247 22 May 2013; Michael Palimaka <kensington@gentoo.org> +PyQt4-4.10.1.ebuild:
248 Version bump.
249
250 10 May 2013; Patrick Lauer <patrick@gentoo.org> metadata.xml:
251 Remove unused flag description from metadata
252
253 04 May 2013; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.9.4-r1.ebuild,
254 -files/PyQt4-4.7.2-configure.py.patch,
255 -files/PyQt4-4.9.4-pyuic-custom-widgets.patch:
256 old
257
258*PyQt4-4.10 (12 Mar 2013)
259
260 12 Mar 2013; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.10.ebuild:
261 Version bump. Fix also bug #433944 by Franz Fellner.
262
263 11 Mar 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
264 Stable for sparc, wrt bug #457046
265
266 03 Mar 2013; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.9.4-r1.ebuild,
267 PyQt4-4.9.6-r2.ebuild:
268 Move Qt dependencies to the new category
269
270 21 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
271 Stable for ia64, wrt bug #457046
272
273 18 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
274 Stable for ppc64, wrt bug #457046
275
276 18 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
277 Stable for ppc, wrt bug #457046
278
279 15 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
280 Stable for alpha, wrt bug #457046
281
282 15 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
283 Stable for arm, wrt bug #457046
284
285 15 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
286 Stable for x86, wrt bug #457046
287
288 15 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
289 Stable for amd64, wrt bug #457046
290
291 15 Feb 2013; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.6-r2.ebuild:
292 BUILDDIR -> BUILD_DIR, fixes bug 457538 by ago.
293
294 13 Feb 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.9.6-r1.ebuild,
295 -PyQt4-4.9.6.ebuild, PyQt4-4.9.6-r2.ebuild:
296 Fix double prefix; remove old.
297
298 04 Feb 2013; Michael Palimaka <kensington@gentoo.org> PyQt4-4.9.6-r2.ebuild:
299 Use run_in_build_dir. Add python-3.3 support wrt bug #455020.
300
301*PyQt4-4.9.6-r2 (29 Jan 2013)
302
303 29 Jan 2013; Michael Palimaka <kensington@gentoo.org> +PyQt4-4.9.6-r2.ebuild:
304 Migrate to the new python eclass.
305
306 27 Dec 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.6-r1.ebuild:
307 Improve pyqt4_use_enable() as suggested by Arfrever.
308
309 26 Dec 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.9.5.ebuild:
310 old
311
312*PyQt4-4.9.6-r1 (26 Dec 2012)
313
314 26 Dec 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.6-r1.ebuild,
315 metadata.xml:
316 EAPI=5 to be able to use slot operators in sip dependency. Sync USE flags with
317 pyside: rename assistant to help, add script and scripttools (bug 431460 by
318 Arfrever).
319
320*PyQt4-4.9.6 (10 Dec 2012)
321
322 10 Dec 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.6.ebuild:
323 Version bump, with some minor updates from qt overlay.
324
325 22 Nov 2012; Markus Meier <maekke@gentoo.org> PyQt4-4.9.4-r1.ebuild:
326 arm stable, bug #435074
327
328 28 Oct 2012; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.9.4.ebuild,
329 PyQt4-4.9.4-r1.ebuild:
330 Promote 4.9.4-r1 bugfix rel ebuild to stable. Drop old
331
332 28 Oct 2012; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.8.4.ebuild,
333 -PyQt4-4.9.1.ebuild:
334 Remove old
335
336*PyQt4-4.9.5 (05 Oct 2012)
337
338 05 Oct 2012; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.5.ebuild:
339 Version bump
340
341 09 Sep 2012; Raúl Porcel <armin76@gentoo.org> PyQt4-4.9.4.ebuild:
342 alpha/ia64/sparc stable wrt #429042
343
344*PyQt4-4.9.4-r1 (03 Sep 2012)
345
346 03 Sep 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.4-r1.ebuild,
347 +files/PyQt4-4.9.4-pyuic-custom-widgets.patch:
348 Apply upstream patch to fix regression in pyuic's handling of custom widgets
349 (bug 431070 by Laurent Bachelier).
350
351 20 Aug 2012; Johannes Huber <johu@gentoo.org> PyQt4-4.9.4.ebuild:
352 Stable for x86, wrt bug #429042
353
354 11 Aug 2012; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.4.ebuild:
355 Stable for amd64, wrt bug #429042
356
357 11 Aug 2012; Anthony G. Basile <blueness@gentoo.org> PyQt4-4.9.4.ebuild:
358 Stable ppc64, bug #429042
359
360 10 Aug 2012; Anthony G. Basile <blueness@gentoo.org> PyQt4-4.9.4.ebuild:
361 Stable ppc, bug #429042
362
363 09 Jul 2012; Raúl Porcel <armin76@gentoo.org> PyQt4-4.9.1.ebuild:
364 ia64 stable
365
366 09 Jul 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.8.1.ebuild,
367 -files/PyQt4-4.6.1-configure-multilib.patch:
368 Remove old.
369
370 08 Jul 2012; Raúl Porcel <armin76@gentoo.org> PyQt4-4.9.1.ebuild,
371 PyQt4-4.9.4.ebuild:
372 alpha/ia64/sparc stable wrt #412929
373
374*PyQt4-4.9.4 (02 Jul 2012)
375
376 02 Jul 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.4.ebuild,
377 -PyQt4-4.9.3.ebuild:
378 Version bump.
379
380*PyQt4-4.9.3 (27 Jun 2012)
381
382 27 Jun 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.3.ebuild,
383 -PyQt4-4.9.2.ebuild:
384 Version bump.
385
386 23 Jun 2012; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.9.2.ebuild:
387 Raise dev-python/sip dependency to 4.13.3 thanks to Arfrever
388
389*PyQt4-4.9.2 (21 Jun 2012)
390
391 21 Jun 2012; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.2.ebuild:
392 Version bump
393
394 14 Jun 2012; Ben de Groot <yngwin@gentoo.org> PyQt4-4.8.1.ebuild:
395 Destabling to ~ia64 because last available stable qt will be masked pending
396 removal
397
398 23 May 2012; Jeff Horelick <jdhore@gentoo.org> PyQt4-4.9.1.ebuild:
399 marked x86 per bug 412929
400
401 21 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
402 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
403 Inherit eutils.
404
405 16 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
406 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
407 Revert previous change.
408
409 16 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
410 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
411 Restrict python 3.1 to match dev-python/dbus-python.
412
413 13 May 2012; Davide Pesavento <pesa@gentoo.org> metadata.xml:
414 Fix kde USE flag description (media-libs/phonon vs. media-sound/phonon).
415
416 04 May 2012; Patrick Lauer <patrick@gentoo.org> PyQt4-4.9.1.ebuild:
417 Migrating dev-util/pkgconfig -> virtual/pkgconfig
418
419 24 Apr 2012; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.1.ebuild:
420 Stable for amd64, wrt bug #412929
421
422 31 Mar 2012; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.8.4.ebuild:
423 Stable on alpha, bug #354033
424
425 07 Mar 2012; Andreas K. Huettel <dilfridge@gentoo.org> PyQt4-4.8.1.ebuild,
426 PyQt4-4.8.4.ebuild:
427 PyQt4-4.8 does not build with sip-4.13, bug 407291
428
429 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
430 Slightly improve the ewarn message in pkg_postinst().
431
432 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> metadata.xml:
433 Put qt as the primary herd in metadata.
434
435 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.8.4.ebuild:
436 Fix insecure RUNPATH in qpy/QtOpenGL, thanks to Steve L
437 <slong@rathaus.eclipse.co.uk> in bug #407281.
438
439 03 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
440 Switch to EAPI 4, add REQUIRED_USE.
441
442 02 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.8.1.ebuild,
443 PyQt4-4.8.4.ebuild:
444 Drop ~x86-fbsd because of unkeyworded dependencies.
445
446 02 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
447 Don't enable QtAssistant module because it was removed in qt-4.7 and we
448 already depend on 4.7.2 or later.
449
450 21 Feb 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.7.3.ebuild,
451 PyQt4-4.8.1.ebuild, PyQt4-4.8.4.ebuild:
452 Restrict pypy for older versions too.
453
454 21 Feb 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
455 Build QtTest module only with USE="X" because it needs QtGui (bug #348349).
456 Add build-time dep on pkgconfig with USE="dbus". Raise minimum required Qt
457 version.
458
459 20 Feb 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.7.7-r1.ebuild,
460 -PyQt4-4.8.1-r1.ebuild, -PyQt4-4.8.2.ebuild, -PyQt4-4.8.3.ebuild,
461 -PyQt4-4.8.5.ebuild, -PyQt4-4.8.6.ebuild, -PyQt4-4.9.ebuild,
462 -files/PyQt4-4.7.7-fix-scpk-and-flag-issue.diff,
463 -files/PyQt4-4.8.3-configure-multilib.patch, metadata.xml:
464 Add <upstream> tag to metadata. Cleanup old ebuilds and patches.
465
466 20 Feb 2012; Patrick Lauer <patrick@gentoo.org> PyQt4-4.7.3.ebuild,
467 PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1-r1.ebuild, PyQt4-4.8.1.ebuild,
468 PyQt4-4.8.2.ebuild, PyQt4-4.8.3.ebuild, PyQt4-4.8.4.ebuild,
469 PyQt4-4.8.5.ebuild, PyQt4-4.8.6.ebuild, PyQt4-4.9.1.ebuild, PyQt4-4.9.ebuild:
470 Fixing pypy restricts to actually work
471
472*PyQt4-4.9.1 (12 Feb 2012)
473
474 12 Feb 2012; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.1.ebuild:
475 version bump
476
477 25 Jan 2012; Alex Alexander <wired@gentoo.org> PyQt4-4.9.ebuild:
478 builds with qt-opengl-4.8.0[egl], updated dep
479
480 27 Dec 2011; Maxim Koltsov <maksbotan@gentoo.org> PyQt4-4.9.ebuild:
481 Enable versioning of /usr/bin/pyuic4. Run eqmake4() in qpy/QtDBus directory.
482 Fixes backported from Progress Overlay. Patch by Arfrever.
483
484*PyQt4-4.9 (24 Dec 2011)
485
486 24 Dec 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.ebuild:
487 Version bump
488
489*PyQt4-4.8.6 (11 Nov 2011)
490
491 11 Nov 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.8.6.ebuild:
492 Version bump
493
494 24 Aug 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.5.ebuild:
495 Restrict PyPy ABIs. Avoid warnings about insecure runpaths (bug #376483).
496 Print useful warning in pkg_postinst(). Patch by Arfrever. Backported from
497 python overlay.
498
499*PyQt4-4.8.5 (19 Aug 2011)
500
501 19 Aug 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.8.5.ebuild:
502 Version bump
503
504 25 Jul 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.4.ebuild:
505 ppc/ppc64 stable wrt #374591
506
507 21 Jul 2011; Markus Meier <maekke@gentoo.org> PyQt4-4.8.4.ebuild:
508 x86 stable, bug #374591
509
510 13 Jul 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.3.ebuild:
511 ppc64 stable wrt #354033
512
513 10 Jul 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.4.ebuild:
514 Stable on amd64 wrt bug #374591
515
516 01 Jun 2011; Brent Baude <ranger@gentoo.org> PyQt4-4.8.3.ebuild:
517 Marking PyQt4-4.8.3 ppc stable for bug 354033
518
519 09 May 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.3.ebuild:
520 Stable on amd64 wrt bug #354033
521
522 09 May 2011; Thomas Kahle <tomka@gentoo.org> PyQt4-4.8.3.ebuild:
523 x86 stable per bug 354033
524
525*PyQt4-4.8.4 (02 May 2011)
526
527 02 May 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
528 +PyQt4-4.8.4.ebuild:
529 Version bump.
530
531 26 Mar 2011; Andreas K. Huettel <dilfridge@gentoo.org> PyQt4-4.7.3.ebuild,
532 PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1.ebuild, PyQt4-4.8.1-r1.ebuild,
533 PyQt4-4.8.2.ebuild, PyQt4-4.8.3.ebuild:
534 Adapt phonon dependency for package move
535
536 16 Mar 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.1.ebuild:
537 ppc64 stable wrt #349607
538
539 27 Feb 2011; Raúl Porcel <armin76@gentoo.org> PyQt4-4.8.1.ebuild:
540 ia64/sparc stable wrt #349607
541
542 27 Feb 2011; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.8.1.ebuild:
543 Stable on alpha, bug #349607
544
545 28 Jan 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
546 PyQt4-4.8.3.ebuild:
547 Update dependencies (bug #353053).
548
549*PyQt4-4.8.3 (25 Jan 2011)
550
551 25 Jan 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
552 +PyQt4-4.8.3.ebuild, +files/PyQt4-4.8.3-configure-multilib.patch:
553 Version bump.
554
555 16 Jan 2011; Pawel Hajdan jr <phajdan.jr@gentoo.org> PyQt4-4.8.1.ebuild:
556 x86 stable wrt bug #349607
557
558 07 Jan 2011; Brent Baude <ranger@gentoo.org> PyQt4-4.8.1.ebuild:
559 Marking PyQt4-4.8.1 ppc stable for bug 349607
560
561 04 Jan 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.1.ebuild:
562 Stable on amd64 wrt bug #349607
563
564 30 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
565 PyQt4-4.8.1.ebuild, PyQt4-4.8.1-r1.ebuild, PyQt4-4.8.2.ebuild:
566 Require x11-libs/qt-opengl[-egl] until bug #344513 is fixed.
567
568*PyQt4-4.8.1-r1 (30 Dec 2010)
569
570 30 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
571 PyQt4-4.8.1.ebuild, +PyQt4-4.8.1-r1.ebuild:
572 Copy 4.8.1 to 4.8.1-r1. Delete "declarative" USE flag in 4.8.1.
573
574 25 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
575 PyQt4-4.8.2.ebuild:
576 Fix dependencies (bug #349672).
577
578*PyQt4-4.8.2 (24 Dec 2010)
579
580 24 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
581 +PyQt4-4.8.2.ebuild:
582 Version bump.
583
584 19 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
585 PyQt4-4.7.3.ebuild, PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1.ebuild:
586 Restrict Jython ABIs.
587
588 19 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
589 -files/PyQt4-4.5.4-qgraphicslinearlayout-fix.patch,
590 -files/configure-4.6.1.py.patch, -PyQt4-4.6.2.ebuild, -PyQt4-4.8.ebuild,
591 -files/configure.py.patch:
592 Delete.
593
594 06 Dec 2010; Alex Alexander <wired@gentoo.org> -PyQt4-4.5.4-r4.ebuild:
595 old, depends on qt 4.5
596
597 06 Nov 2010; Jeroen Roovers <jer@gentoo.org> PyQt4-4.5.4-r4.ebuild,
598 PyQt4-4.6.2.ebuild, PyQt4-4.7.3.ebuild, PyQt4-4.7.7-r1.ebuild,
599 PyQt4-4.8.ebuild, PyQt4-4.8.1.ebuild:
600 Remove HPPA keywording (bug #239441).
4 601
5*PyQt4-4.8.1 (30 Oct 2010) 602*PyQt4-4.8.1 (30 Oct 2010)
6 603
7 30 Oct 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org> 604 30 Oct 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
8 +PyQt4-4.8.1.ebuild: 605 +PyQt4-4.8.1.ebuild:
546*PyQt4-4.0_beta1 (05 May 2006) 1143*PyQt4-4.0_beta1 (05 May 2006)
547 1144
548 05 May 2006; Caleb Tennis <caleb@gentoo.org> +metadata.xml, 1145 05 May 2006; Caleb Tennis <caleb@gentoo.org> +metadata.xml,
549 +PyQt4-4.0_beta1.ebuild: 1146 +PyQt4-4.0_beta1.ebuild:
550 initial import, from bug #121554 1147 initial import, from bug #121554
551

Legend:
Removed from v.1.133  
changed lines
  Added in v.1.286

  ViewVC Help
Powered by ViewVC 1.1.20